/* soapStub.h
   Generated by gSOAP 2.7.17 from c/sciwbs.h
   Copyright(C) 2000-2010, Robert van Engelen, Genivia Inc. All Rights Reserved.
   This part of the software is released under one of the following licenses:
   GPL, the gSOAP public license, or Genivia's license for commercial use.
*/

#ifndef soapStub_H
#define soapStub_H
#define SOAP_NAMESPACE_OF_ns1	"http://www.scilab.org/sciwbs"
#include "stdsoap2.h"
#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************\
 *                                                                            *
 * Enumerations                                                               *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Types with Custom Serializers                                              *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Classes and Structs                                                        *
 *                                                                            *
\******************************************************************************/


#if 0 /* volatile type: do not declare here, declared elsewhere */

#endif

typedef void ScilabStruct;

#ifndef SOAP_TYPE_ns1__MatrixOfDouble
#define SOAP_TYPE_ns1__MatrixOfDouble (7)
#endif

#ifndef SOAP_TYPE_ns1__StringList
#define SOAP_TYPE_ns1__StringList (10)
/* ns1:StringList */
struct ns1__StringList
{
	int __sizestring;	/* sequence of elements <string> */
	char **string;	/* optional element of type xsd:string */
};
#endif

#ifndef SOAP_TYPE_ns1__DoubleElement
#define SOAP_TYPE_ns1__DoubleElement (8)
/* Primitive ns1:DoubleElement schema type: */
struct ns1__DoubleElement
{
	double value;
	int row;	/* required attribute of type xsd:int */
	int column;	/* required attribute of type xsd:int */
};
#endif

#ifndef SOAP_TYPE_ns1__Boolean
#define SOAP_TYPE_ns1__BooleanElement (51)
/* Primitive ns1:BooleanElement schema type: */
struct ns1__BooleanElement
{
	bool value;
	int row;	/* required attribute of type xsd:int */
	int column;	/* required attribute of type xsd:int */
};
#endif

#ifndef SOAP_TYPE_ns1__MatrixOfComplex
#define SOAP_TYPE_ns1__MatrixOfComplex (13)
#endif

#ifndef SOAP_TYPE_ns1__ComplexElement
#define SOAP_TYPE_ns1__ComplexElement (14)
/* ns1:ComplexElement */
struct ns1__ComplexElement
{
	double real;	/* required element of type xsd:double */
	double imaginary;	/* required element of type xsd:double */
	int row;	/* required attribute of type xsd:int */
	int column;	/* required attribute of type xsd:int */
};
#endif

#ifndef SOAP_TYPE_ns1__addResponse
#define SOAP_TYPE_ns1__addResponse (16)
/* ns1:addResponse */
struct ns1__addResponse
{
	ScilabStruct *result;	/* SOAP 1.2 RPC return element (when namespace qualified) */	/* optional element of type ns1:MatrixOfDouble */
};
#endif

#ifndef SOAP_TYPE_ns1__add
#define SOAP_TYPE_ns1__add (20)
/* ns1:add */
struct ns1__add
{
	ScilabStruct *a;	/* optional element of type ns1:MatrixOfDouble */
	ScilabStruct *b;	/* optional element of type ns1:MatrixOfDouble */
};
#endif

#ifndef SOAP_TYPE_ns1__listFunctionsResponse
#define SOAP_TYPE_ns1__listFunctionsResponse (21)
/* ns1:listFunctionsResponse */
struct ns1__listFunctionsResponse
{
	struct ns1__StringList *result;	/* SOAP 1.2 RPC return element (when namespace qualified) */	/* optional element of type ns1:StringList */
};
#endif

#ifndef SOAP_TYPE_ns1__listFunctions
#define SOAP_TYPE_ns1__listFunctions (25)
/* ns1:listFunctions */
struct ns1__listFunctions
{
#ifdef WITH_NOEMPTYSTRUCT
	char dummy;	/* dummy member to enable compilation */
#endif
};
#endif

#ifndef SOAP_TYPE_SOAP_ENV__Header
#define SOAP_TYPE_SOAP_ENV__Header (26)
/* SOAP Header: */
struct SOAP_ENV__Header
{
#ifdef WITH_NOEMPTYSTRUCT
	char dummy;	/* dummy member to enable compilation */
#endif
};
#endif

#ifndef SOAP_TYPE_SOAP_ENV__Code
#define SOAP_TYPE_SOAP_ENV__Code (27)
/* SOAP Fault Code: */
struct SOAP_ENV__Code
{
	char *SOAP_ENV__Value;	/* optional element of type xsd:QName */
	struct SOAP_ENV__Code *SOAP_ENV__Subcode;	/* optional element of type SOAP-ENV:Code */
};
#endif

#ifndef SOAP_TYPE_SOAP_ENV__Detail
#define SOAP_TYPE_SOAP_ENV__Detail (29)
/* SOAP-ENV:Detail */
struct SOAP_ENV__Detail
{
	int __type;	/* any type of element <fault> (defined below) */
	void *fault;	/* transient */
	char *__any;
};
#endif

#ifndef SOAP_TYPE_SOAP_ENV__Reason
#define SOAP_TYPE_SOAP_ENV__Reason (32)
/* SOAP-ENV:Reason */
struct SOAP_ENV__Reason
{
	char *SOAP_ENV__Text;	/* optional element of type xsd:string */
};
#endif

#ifndef SOAP_TYPE_SOAP_ENV__Fault
#define SOAP_TYPE_SOAP_ENV__Fault (33)
/* SOAP Fault: */
struct SOAP_ENV__Fault
{
	char *faultcode;	/* optional element of type xsd:QName */
	char *faultstring;	/* optional element of type xsd:string */
	char *faultactor;	/* optional element of type xsd:string */
	struct SOAP_ENV__Detail *detail;	/* optional element of type SOAP-ENV:Detail */
	struct SOAP_ENV__Code *SOAP_ENV__Code;	/* optional element of type SOAP-ENV:Code */
	struct SOAP_ENV__Reason *SOAP_ENV__Reason;	/* optional element of type SOAP-ENV:Reason */
	char *SOAP_ENV__Node;	/* optional element of type xsd:string */
	char *SOAP_ENV__Role;	/* optional element of type xsd:string */
	struct SOAP_ENV__Detail *SOAP_ENV__Detail;	/* optional element of type SOAP-ENV:Detail */
};
#endif

/******************************************************************************\
 *                                                                            *
 * Typedefs                                                                   *
 *                                                                            *
\******************************************************************************/

#ifndef SOAP_TYPE__QName
#define SOAP_TYPE__QName (5)
typedef char *_QName;
#endif

#ifndef SOAP_TYPE__XML
#define SOAP_TYPE__XML (6)
typedef char *_XML;
#endif


/******************************************************************************\
 *                                                                            *
 * Externals                                                                  *
 *                                                                            *
\******************************************************************************/


/******************************************************************************\
 *                                                                            *
 * Server-Side Operations                                                     *
 *                                                                            *
\******************************************************************************/


SOAP_FMAC5 int SOAP_FMAC6 ns1__add(struct soap*, ScilabStruct *a, ScilabStruct *b, struct ns1__addResponse *_param_1);

SOAP_FMAC5 int SOAP_FMAC6 ns1__listFunctions(struct soap*, struct ns1__listFunctionsResponse *_param_2);

/******************************************************************************\
 *                                                                            *
 * Server-Side Skeletons to Invoke Service Operations                         *
 *                                                                            *
\******************************************************************************/

SOAP_FMAC5 int SOAP_FMAC6 soap_serve(struct soap*);

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_request(struct soap*);

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns1__add(struct soap*);

SOAP_FMAC5 int SOAP_FMAC6 soap_serve_ns1__listFunctions(struct soap*);

/******************************************************************************\
 *                                                                            *
 * Client-Side Call Stubs                                                     *
 *                                                                            *
\******************************************************************************/


SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns1__add(struct soap *soap, const char *soap_endpoint, const char *soap_action, ScilabStruct *a, ScilabStruct *b, struct ns1__addResponse *_param_1);

SOAP_FMAC5 int SOAP_FMAC6 soap_call_ns1__listFunctions(struct soap *soap, const char *soap_endpoint, const char *soap_action, struct ns1__listFunctionsResponse *_param_2);

#ifdef __cplusplus
}
#endif

#endif

/* End of soapStub.h */
